Module com.io7m.jregions.core
Package com.io7m.jregions.core.unparameterized.volumes

## Class VolumeL

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.volumes.VolumeL

- All Implemented Interfaces:
    `VolumeSizeValuesLType`, `VolumeLType`, `VolumeValuesLType`

      public final class VolumeL
      extends java.lang.Object
      implements VolumeLType

  A volume with `long` coordinates.

  The coordinates of the area are given in half-closed form. That is, `minimumX()` refers to the minimum inclusive value on the X axis, and `maximumX()` refers to the maximum exclusive value on the X axis. Likewise for the Y and Z axes.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `VolumeL.Builder` | Builds instances of type `VolumeL`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VolumeL.Builder` | `builder​()` | Creates a builder for `VolumeL`.
    `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `VolumeL` that have equal attribute values.
    `int` | `hashCode​()` | Computes a hash code from attributes: `minimumX`, `maximumX`, `minimumY`, `maximumY`, `minimumZ`, `maximumZ`.
    `long` | `maximumX​()` |
    `long` | `maximumY​()` |
    `long` | `maximumZ​()` |
    `long` | `minimumX​()` |
    `long` | `minimumY​()` |
    `long` | `minimumZ​()` |
    `static VolumeL` | `of​(long minimumX, long maximumX, long minimumY, long maximumY, long minimumZ, long maximumZ)` | Construct a new immutable `VolumeL` instance.
    `java.lang.String` | `toString​()` | Prints the immutable value `VolumeL` with attribute values.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.jregions.core.unparameterized.volumes.VolumeLType

      `checkPreconditions`

    - ### Methods inherited from interface com.io7m.jregions.core.unparameterized.volumes.VolumeValuesLType

      `sizeX, sizeY, sizeZ`

- - ### Method Detail

    - #### minimumX

          public long minimumX​()

      Specified by:
        `minimumX` in interface `VolumeLType`
      Specified by:
        `minimumX` in interface `VolumeValuesLType`
      Returns:
        The value of the `minimumX` attribute

    - #### maximumX

          public long maximumX​()

      Specified by:
        `maximumX` in interface `VolumeLType`
      Specified by:
        `maximumX` in interface `VolumeValuesLType`
      Returns:
        The value of the `maximumX` attribute

    - #### minimumY

          public long minimumY​()

      Specified by:
        `minimumY` in interface `VolumeLType`
      Specified by:
        `minimumY` in interface `VolumeValuesLType`
      Returns:
        The value of the `minimumY` attribute

    - #### maximumY

          public long maximumY​()

      Specified by:
        `maximumY` in interface `VolumeLType`
      Specified by:
        `maximumY` in interface `VolumeValuesLType`
      Returns:
        The value of the `maximumY` attribute

    - #### minimumZ

          public long minimumZ​()

      Specified by:
        `minimumZ` in interface `VolumeLType`
      Specified by:
        `minimumZ` in interface `VolumeValuesLType`
      Returns:
        The value of the `minimumZ` attribute

    - #### maximumZ

          public long maximumZ​()

      Specified by:
        `maximumZ` in interface `VolumeLType`
      Specified by:
        `maximumZ` in interface `VolumeValuesLType`
      Returns:
        The value of the `maximumZ` attribute

    - #### equals

          public boolean equals​(java.lang.Object another)

      This instance is equal to all instances of `VolumeL` that have equal attribute values.
      Overrides:
        `equals` in class `java.lang.Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode​()

      Computes a hash code from attributes: `minimumX`, `maximumX`, `minimumY`, `maximumY`, `minimumZ`, `maximumZ`.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        hashCode value

    - #### toString

          public java.lang.String toString​()

      Prints the immutable value `VolumeL` with attribute values.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A string representation of the value

    - #### of

          public static VolumeL of​(long minimumX,
                                   long maximumX,
                                   long minimumY,
                                   long maximumY,
                                   long minimumZ,
                                   long maximumZ)

      Construct a new immutable `VolumeL` instance.
      Parameters:
        `minimumX` - The value for the `minimumX` attribute
        `maximumX` - The value for the `maximumX` attribute
        `minimumY` - The value for the `minimumY` attribute
        `maximumY` - The value for the `maximumY` attribute
        `minimumZ` - The value for the `minimumZ` attribute
        `maximumZ` - The value for the `maximumZ` attribute
      Returns:
        An immutable VolumeL instance

    - #### builder

          public static VolumeL.Builder builder​()

      Creates a builder for `VolumeL`.
      Returns:
        A new VolumeL builder

Copyright © 2017 <code@io7m.com> http://io7m.com